AFE_NXP_Arduino 2.0.5 Analog Front-End (AFE) device operation sample code for Arduino

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
LogicalChannel_Base Class Reference

`#include <AFE_NXP.h>`

Inheritance diagram for LogicalChannel_Base:

## Public Member Functions
| LogicalChannel_Base ()
virtual | ~LogicalChannel_Base ()
void | enable (void)
void | disable (void)
template<class T>
T | read (void)
| operator AFE_base::raw_t (void)
| operator AFE_base::volt_t (void)
template<>
AFE_base::raw_t | read (void)
template<>
AFE_base::volt_t | read (void)

## Public Attributes
int | ch_number
AFE_base * | afe_ptr
template<class T>
double | operator+ (T v)
template<class T>
double | operator- (T v)
template<class T>
double | operator* (T v)
template<class T>
double | operator/ (T v)
template<class T>
double | operator+ (T v, LogicalChannel_Base lc)
template<class T>
double | operator- (T v, LogicalChannel_Base lc)
template<class T>
double | operator* (T v, LogicalChannel_Base lc)
template<class T>
double | operator/ (T v, LogicalChannel_Base lc)

## Detailed Description

Definition at line 280 of file AFE_NXP.h.

## Constructor & Destructor Documentation

## ◆ LogicalChannel_Base()

LogicalChannel_Base::LogicalChannel_Base | ( |  | ) |
| inline

Definition at line 283 of file AFE_NXP.h.

Referenced by NAFE13388_Base::LogicalChannel::LogicalChannel(), NAFE33352_Base::LogicalChannel::LogicalChannel(), operator*, operator+, operator-, and operator/.

## ◆ ~LogicalChannel_Base()

virtual LogicalChannel_Base::~LogicalChannel_Base | ( |  | ) |
| inline virtual

Definition at line 284 of file AFE_NXP.h.

## Member Function Documentation

## ◆ disable()

void LogicalChannel_Base::disable | ( | void |  | ) |

Disable this logical channel in the sequencer

Definition at line 19 of file AFE_NXP.cpp.

Referenced by NAFE13388_Base::LogicalChannel::~LogicalChannel(), and NAFE33352_Base::LogicalChannel::~LogicalChannel().

## ◆ enable()

void LogicalChannel_Base::enable | ( | void |  | ) |

Enable this logical channel in the sequencer

Definition at line 14 of file AFE_NXP.cpp.

## ◆ operator AFE_base::raw_t()

LogicalChannel_Base::operator AFE_base::raw_t | ( | void |  | ) |

Implicit conversion to raw integer ADC count

Definition at line 37 of file AFE_NXP.cpp.

## ◆ operator AFE_base::volt_t()

LogicalChannel_Base::operator AFE_base::volt_t | ( | void |  | ) |

Implicit conversion to voltage in volts

Definition at line 42 of file AFE_NXP.cpp.

## ◆ operator*()

template<class T>

double LogicalChannel_Base::operator* | ( | T | v | ) |
| inline

Definition at line 305 of file AFE_NXP.h.

## ◆ operator+()

template<class T>

double LogicalChannel_Base::operator+ | ( | T | v | ) |
| inline

Arithmetic operators for inline channel value computations

Definition at line 303 of file AFE_NXP.h.

## ◆ operator-()

template<class T>

double LogicalChannel_Base::operator- | ( | T | v | ) |
| inline

Definition at line 304 of file AFE_NXP.h.

## ◆ operator/()

template<class T>

double LogicalChannel_Base::operator/ | ( | T | v | ) |
| inline

Definition at line 306 of file AFE_NXP.h.

## ◆ read() [1/3]

template<>

AFE_base::volt_t LogicalChannel_Base::read | ( | void |  | ) |

Definition at line 31 of file AFE_NXP.cpp.

## ◆ read() [2/3]

template<>

AFE_base::raw_t LogicalChannel_Base::read | ( | void |  | ) |

Definition at line 25 of file AFE_NXP.cpp.

## ◆ read() [3/3]

template<class T>

T LogicalChannel_Base::read | ( | void |  | ) |

Read ADC result as the specified type (raw_t or volt_t)

Returns
  ADC result as T

Referenced by read().

## Friends And Related Symbol Documentation

## ◆ operator*

template<class T>

double operator* | ( | T | v,
|  | LogicalChannel_Base | lc )
| friend

Definition at line 309 of file AFE_NXP.h.

## ◆ operator+

template<class T>

double operator+ | ( | T | v,
|  | LogicalChannel_Base | lc )
| friend

Definition at line 307 of file AFE_NXP.h.

## ◆ operator-

template<class T>

double operator- | ( | T | v,
|  | LogicalChannel_Base | lc )
| friend

Definition at line 308 of file AFE_NXP.h.

## ◆ operator/

template<class T>

double operator/ | ( | T | v,
|  | LogicalChannel_Base | lc )
| friend

Definition at line 310 of file AFE_NXP.h.

## Member Data Documentation

## ◆ afe_ptr

AFE_base* LogicalChannel_Base::afe_ptr

Definition at line 314 of file AFE_NXP.h.

Referenced by NAFE13388_Base::LogicalChannel::configure(), NAFE13388_Base::LogicalChannel::configure(), NAFE33352_Base::LogicalChannel::configure(), NAFE33352_Base::LogicalChannel::configure(), disable(), enable(), and read().

## ◆ ch_number

int LogicalChannel_Base::ch_number

Definition at line 313 of file AFE_NXP.h.

Referenced by NAFE13388_Base::LogicalChannel::configure(), NAFE13388_Base::LogicalChannel::configure(), NAFE33352_Base::LogicalChannel::configure(), NAFE33352_Base::LogicalChannel::configure(), disable(), enable(), and read().

The documentation for this class was generated from the following files:

- AFE_NXP.h
- AFE_NXP.cpp